Cyberduck Mountain Duck CLI

#4165 closed enhancement (fixed)

Option to upload with temporary name and rename file after transfer is complete

Reported by: n21540@… Owned by: dkocher
Priority: normal Milestone: 3.7
Component: core Version: 3.4.1
Severity: normal Keywords: rename, automation, file extention
Cc: n21631@… Architecture:
Platform:

Description

An option to rename transferred files after they complete would be very useful for those who do lots of filebased video editing. If the transferred file could be uploaded with a custom file extention, and then renamed to its correct file extention when complete, would greatly improve the stability of watchfolder waiting for incoming files on servers. Simple, but very powerful. Watchfolders could be set to ignore files set to a certain filetype, leaving the files alone until Cyberduck confirms that the upload is complete.

If a user is disconnected halfway in a transfer, the receiving server assumes the transfer is complete, and the uncomplete file will continue into the system.

Cyberduck could prevent all of this, solving a workflow issue for lots of videoproduction people :)

Hope this suggestion makes sense, we would love to see it implemented!

Change History (7)

comment:1 Changed on Jan 29, 2010 at 10:46:07 AM by dkocher

  • Component changed from ftp to core

Will look into this. Sounds like a useful enhancement.

comment:2 Changed on Feb 3, 2010 at 12:54:34 PM by www.nrk.no

Thank you for looking into this dkocher.

Please feel free to contact me if you want help for testing or just more encouragement. We are very interested in this project. email adress: n21540@…

comment:3 Changed on Jul 23, 2010 at 3:47:32 PM by dkocher

  • Milestone set to 3.8

comment:4 Changed on Oct 5, 2010 at 5:03:12 PM by dkocher

  • Milestone changed from 4.1 to 3.6.2

The implementation will be dependent if the target host supports renaming files. Feature will be disabled for protocols that do not support file renaming such as Rackspace Cloudfiles.

comment:5 Changed on Oct 5, 2010 at 5:12:14 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r7224. This can be enabled using the following hidden preference. Use

defaults write ch.sudo.cyberduck queue.upload.file.temporary true

to enable.

To specify a different temporary filename pattern, use

defaults write ch.sudo.cyberduck queue.upload.file.temporary.format "'{0}-{1}'"

where {0} is the original filename and {1} is a random UUID. The default setting uses a temprary filename of filename-uuid.

An upload that is not complete, will not be renamed.

comment:6 Changed on Oct 6, 2010 at 6:49:45 AM by dkocher

  • Summary changed from Option: Rename file after transfer is complete to Option to upload with temporary name and rename file after transfer is complete

comment:7 Changed on Oct 8, 2010 at 2:55:31 PM by dkocher

Interface in Preferences to toggle queue.upload.file.temporary in r7265.

Note: See TracTickets for help on using tickets.
swiss made software